/** When your routing table is too long, you can split it into small modules**/

import Layout from "@/layout";

const returnRouter = {
  path: "/productreturnmanage-sup",
  component: Layout,
  name: "productreturnmanage-sup1",
  meta: { title: "商品退货管理", icon: "" },
  alwaysShow: true,
  hidden: true,
  children: [    
    {
      // 退货订单受理-待确认详情
      path: "returnDetail",
      component: () => import("@/views/page/productreturnmanage-sup/returnOrderAccept/returnDetail.vue"),
      name: "returnDetail",
      meta: { title: "退货待确认详情", icon: "" },
      hidden: true
    },
    {
      // 退货订单受理-已确认详情
      path: "returncomDetail",
      component: () => import("@/views/page/productreturnmanage-sup/returnOrderAccept/returncomDetail.vue"),
      name: "returncomDetail",
      meta: { title: "退货已确认详情", icon: "" },
      hidden: true
    },
  ]
};

export default returnRouter;
