/** When your routing table is too long, you can split it into small modules**/

import Layout from "@/layout";

const purchasRouter = {
  path: "/purchasing-management",
  component: Layout,
  // redirect: "/purchasing-management/add",
  name: "Purchasing1",
  meta: { title: "采购管理", icon: "" },
  alwaysShow: true,
  hidden: true,
  children: [
    {
      // 计划模板维护-新增模板
      path: "plan-template-maintenance-add",
      component: () => import("@/views/page/purchasing-management/plan-template-maintenance/add"),
      name: "PlanTemplateMaintenanceAdd",
      meta: { title: "计划模板维护-新增模板", icon: "" },
      hidden: true
    },
    {
      // 采购计划管理-新增计划
      path: "procurement-plan-management-add",
      component: () => import("@/views/page/purchasing-management/procurement-plan-management/add"),
      name: "PlanManagementAdd",
      meta: { title: "采购计划管理-新增计划", icon: "" },
      hidden: true
    },
    {
      // 采购计划管理-详情
      path: "procurement-plan-management-detail",
      component: () => import("@/views/page/purchasing-management/procurement-plan-management/detail"),
      name: "PlanManagementDetail",
      meta: { title: "采购计划管理-详情", icon: "" },
      hidden: true
    },
    {
      // 采购订单管理-详情
      path: "procurement-order-management-detail",
      component: () => import("@/views/page/purchasing-management/procurement-order-management/detail"),
      name: "ProcurementOrderManagementDetail",
      meta: { title: "采购订单管理-详情", icon: "" },
      hidden: true
    },
    {
      // 药品退货提报-详情
      path: "return-report-detail",
      component: () => import("@/views/page/purchasing-management/return-report/detail"),
      name: "ReturnReportDetail",
      meta: { title: "药品退货提报-详情", icon: "" },
      hidden: true
    },
    {
      // 退货记录-详情
      path: "return-record-detail",
      component: () => import("@/views/page/purchasing-management/return-record/detail"),
      name: "ReturnRecordDetail",
      meta: { title: "退货记录-详情", icon: "" },
      hidden: true
    }
  ]
};

export default purchasRouter;
